<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>BuildingSimple</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: BuildingSimple">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/BuildingSimple.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class BuildingSimple" class="title">Class BuildingSimple</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance"><a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.Building</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.BuildingSimple</div>
</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">BuildingSimple</span>
extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></pre>
<div class="block">Building integration in the ICI project. Mainly from the BD_Topo</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#height">height</a></span></code></th>
<td class="col-last">
<div class="block">Height of the building</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#idEntrances">idEntrances</a></span></code></th>
<td class="col-last">
<div class="block">References of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#idPOI">idPOI</a></span></code></th>
<td class="col-last">
<div class="block">References of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#idWorkingPlaces">idWorkingPlaces</a></span></code></th>
<td class="col-last">
<div class="block">References of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#light">light</a></span></code></th>
<td class="col-last">
<div class="block">Is the building Light ?</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nature">nature</a></span></code></th>
<td class="col-last">
<div class="block">BDTopo attribute to characterize functionality of building</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nbFloor">nbFloor</a></span></code></th>
<td class="col-last">
<div class="block">Number of storeys of the building, including the 0 level.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#usage1">usage1</a></span></code></th>
<td class="col-last">
<div class="block">BDTopo attribute to characterize functionality of building</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#usage2">usage2</a></span></code></th>
<td class="col-last">
<div class="block">BDTopo attribute to characterize functionality of building</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.Building">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></h3>
<code><a href="Building.html#areaHousingLot">areaHousingLot</a>, <a href="Building.html#bGeom">bGeom</a>, <a href="Building.html#floorArea">floorArea</a>, <a href="Building.html#functionalRatio">functionalRatio</a>, <a href="Building.html#nbHousing">nbHousing</a>, <a href="Building.html#nbPOI">nbPOI</a>, <a href="Building.html#nbWorkingPlace">nbWorkingPlace</a>, <a href="Building.html#roomLeft">roomLeft</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,boolean,double,double,int,int,java.util.List,int,int,org.locationtech.jts.geom.Geometry)">BuildingSimple</a></span>&#8203;(java.lang.String&nbsp;ID,
java.lang.String&nbsp;nature,
java.lang.String&nbsp;usage1,
java.lang.String&nbsp;usage2,
boolean&nbsp;light,
double&nbsp;height,
double&nbsp;footprintArea,
int&nbsp;nbStairs,
int&nbsp;nbHousing,
java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot,
int&nbsp;nbWorkingPlace,
int&nbsp;nbPOI,
org.locationtech.jts.geom.Geometry&nbsp;geom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#calculateRoomLeft()">calculateRoomLeft</a></span>()</code></th>
<td class="col-last">
<div class="block">Calculate the room of a building that is not occupied by housing.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportBuilding(java.util.List,java.io.File)">exportBuilding</a></span>&#8203;(java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Write a list of Building in a geographic collection</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSimpleFeature()">generateSimpleFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFB()">getSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuilding(java.io.File,java.io.File)">importBuilding</a></span>&#8203;(java.io.File&nbsp;buildingBDTopoFile,
java.io.File&nbsp;inseeLogementStat)</code></th>
<td class="col-last">
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuilding(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">importBuilding</a></span>&#8203;(java.io.File&nbsp;buildingBDTopoFile,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings.</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuildingFromBDTopo(java.io.File)">importBuildingFromBDTopo</a></span>&#8203;(java.io.File&nbsp;buildingICI)</code></th>
<td class="col-last">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuildingFromBDTopo(java.io.File,org.locationtech.jts.geom.Geometry)">importBuildingFromBDTopo</a></span>&#8203;(java.io.File&nbsp;buildingICI,
org.locationtech.jts.geom.Geometry&nbsp;mask)</code></th>
<td class="col-last">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuildingFromICI(java.io.File)">importBuildingFromICI</a></span>&#8203;(java.io.File&nbsp;buildingICI)</code></th>
<td class="col-last">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.Building">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></h3>
<code><a href="Building.html#computeRoomLeft()">computeRoomLeft</a>, <a href="Building.html#exportList(java.util.List,java.io.File)">exportList</a>, <a href="Building.html#generateListDistribHousing(org.opengis.feature.simple.SimpleFeature)">generateListDistribHousing</a>, <a href="Building.html#getAreaHousingLot()">getAreaHousingLot</a>, <a href="Building.html#getClosestBuilding(java.util.List,org.locationtech.jts.geom.Point,float)">getClosestBuilding</a>, <a href="Building.html#getFloorArea()">getFloorArea</a>, <a href="Building.html#getFunctionalRatio()">getFunctionalRatio</a>, <a href="Building.html#getGeomBuilding()">getGeomBuilding</a>, <a href="Building.html#getNbHousing()">getNbHousing</a>, <a href="Building.html#getRoomLeft()">getRoomLeft</a>, <a href="Building.html#importBuilding(java.io.File)">importBuilding</a>, <a href="Building.html#selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)">selectIntersectMost</a>, <a href="Building.html#setAreaHousingLot(java.util.List)">setAreaHousingLot</a>, <a href="Building.html#setFunctionalRatio(float)">setFunctionalRatio</a>, <a href="Building.html#setNbPOI(int)">setNbPOI</a>, <a href="Building.html#setNbWorkingPlace(int)">setNbWorkingPlace</a>, <a href="Building.html#sortListBuildingWithRatioHousingPerSurface(java.util.List)">sortListBuildingWithRatioHousingPerSurface</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a>, <a href="ICIObject.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="nature">
<h3>nature</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">nature</span></div>
<div class="block">BDTopo attribute to characterize functionality of building</div>
</section>
</li>
<li>
<section class="detail" id="usage1">
<h3>usage1</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">usage1</span></div>
<div class="block">BDTopo attribute to characterize functionality of building</div>
</section>
</li>
<li>
<section class="detail" id="usage2">
<h3>usage2</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">usage2</span></div>
<div class="block">BDTopo attribute to characterize functionality of building</div>
</section>
</li>
<li>
<section class="detail" id="light">
<h3>light</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="member-name">light</span></div>
<div class="block">Is the building Light ? (in most cases, we don't have interest for light buildings).</div>
</section>
</li>
<li>
<section class="detail" id="height">
<h3>height</h3>
<div class="member-signature"><span class="return-type">double</span>&nbsp;<span class="member-name">height</span></div>
<div class="block">Height of the building</div>
</section>
</li>
<li>
<section class="detail" id="nbFloor">
<h3>nbFloor</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="member-name">nbFloor</span></div>
<div class="block">Number of storeys of the building, including the 0 level.</div>
</section>
</li>
<li>
<section class="detail" id="idPOI">
<h3>idPOI</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">idPOI</span></div>
<div class="block">References of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</section>
</li>
<li>
<section class="detail" id="idWorkingPlaces">
<h3>idWorkingPlaces</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">idWorkingPlaces</span></div>
<div class="block">References of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</section>
</li>
<li>
<section class="detail" id="idEntrances">
<h3>idEntrances</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">idEntrances</span></div>
<div class="block">References of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,boolean,double,double,int,int,java.util.List,int,int,org.locationtech.jts.geom.Geometry)">
<h3>BuildingSimple</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">BuildingSimple</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
java.lang.String&nbsp;nature,
java.lang.String&nbsp;usage1,
java.lang.String&nbsp;usage2,
boolean&nbsp;light,
double&nbsp;height,
double&nbsp;footprintArea,
int&nbsp;nbStairs,
int&nbsp;nbHousing,
java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot,
int&nbsp;nbWorkingPlace,
int&nbsp;nbPOI,
org.locationtech.jts.geom.Geometry&nbsp;geom)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importBuildingFromICI(java.io.File)">
<h3>importBuildingFromICI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</span>&nbsp;<span class="member-name">importBuildingFromICI</span>&#8203;(<span class="parameters">java.io.File&nbsp;buildingICI)</span>
                                                            throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BDTOPO</b> buildings</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBDTopo(java.io.File)">
<h3>importBuildingFromBDTopo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</span>&nbsp;<span class="member-name">importBuildingFromBDTopo</span>&#8203;(<span class="parameters">java.io.File&nbsp;buildingICI)</span>
                                                               throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BDTOPO</b> buildings</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingFromBDTopo(java.io.File,org.locationtech.jts.geom.Geometry)">
<h3>importBuildingFromBDTopo</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</span>&nbsp;<span class="member-name">importBuildingFromBDTopo</span>&#8203;(<span class="parameters">java.io.File&nbsp;buildingICI,
org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                                               throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingICI</code> - containing the <b>BDTOPO</b> buildings</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuilding(java.io.File,java.io.File)">
<h3>importBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</span>&nbsp;<span class="member-name">importBuilding</span>&#8203;(<span class="parameters">java.io.File&nbsp;buildingBDTopoFile,
java.io.File&nbsp;inseeLogementStat)</span>
                                                     throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingBDTopoFile</code> - File containing the <b>BDTOPO</b> buildings</dd>
<dd><code>inseeLogementStat</code> - File containing the INSEE's IRIS enriched with housing statistics</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuilding(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">
<h3>importBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</span>&nbsp;<span class="member-name">importBuilding</span>&#8203;(<span class="parameters">java.io.File&nbsp;buildingBDTopoFile,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</span>
                                                     throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings.
 Adjust with optional manual census of shops. Optionally count working places and POIs.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingBDTopoFile</code> - File containing the <b>BDTOPO</b> buildings</dd>
<dd><code>inseeLogementStat</code> - File containing the INSEE's IRIS enriched with housing statistics</dd>
<dd><code>apurPOI</code> - file containing shops (must have a <b>SURF</b> attribute which gives information about them sizes)</dd>
<dd><code>poiFile</code> - file containing POI to be counted. Can be null</dd>
<dd><code>workingPlacesFile</code> - file containing working places to be counted. Can be null</dd>
<dt>Returns:</dt>
<dd>A list of ICI's building objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportBuilding(java.util.List,java.io.File)">
<h3>exportBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">exportBuilding</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.io.File&nbsp;fileOut)</span>
                                   throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Write a list of Building in a geographic collection</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lB</code> - list of Building</dd>
<dd><code>fileOut</code> - File to be wrote</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Write GeoFile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFB</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#getSFB()">getSFB</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="calculateRoomLeft()">
<h3>calculateRoomLeft</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">calculateRoomLeft</span>()</div>
<div class="block">Calculate the room of a building that is not occupied by housing. Multiply the functional ratio, number of storeys and building footprint.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the floor surface</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/BuildingSimple.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
